Summary:	X.org video driver for NVIDIA graphics chipsets
Summary(pl.UTF-8):	Sterownik obrazu X.org dla układów graficznych NVIDIA
Name:		xorg-driver-video-nouveau
Version:	1.0.18
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/archive/individual/driver/xf86-video-nouveau-%{version}.tar.xz
# Source0-md5:	2fae526acdbda52f109c810cd0af46e7
URL:		https://nouveau.freedesktop.org/
BuildRequires:	Mesa-libGL-devel
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libdrm-devel >= 2.4.60
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pkgconfig >= 1:0.24
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	tar >= 1:1.22
BuildRequires:	udev-devel
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.10
BuildRequires:	xorg-proto-dri2proto-devel >= 2.6
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-glproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.18
BuildRequires:	xz
%{?requires_xorg_xserver_videodrv}
Requires:	libdrm >= 2.4.60
Requires:	xorg-lib-libpciaccess >= 0.10
Requires:	xorg-xserver-libglx >= 1.18
Requires:	xorg-xserver-server >= 1.18
Provides:	xorg-driver-video
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for NVIDIA video adapters. It supports PCI,
PCI-Express and AGP video cards based on the following chips:
- RIVA TNT (NV4),
- RIVA TNT2 (NV5),
- GeForce 256, QUADRO (NV10),
- GeForce2, QUADRO2 (NV11, NV15),
- GeForce3, QUADRO DCC (NV20),
- nForce, nForce2 (NV1A, NV1F),
- GeForce4, QUADRO4 (NV17, NV18, NV25, NV28),
- GeForce FX, QUADRO FX (NV30, NV31, NV34, NV35, NV36, NV37, NV38),
- GeForce 6xxx (NV40, NV41, NV43, NV44, NV45, C51, MCP61),
- GeForce 7xxx (G70, G71, G72, G73, NCP67, MCP68, MCP73),
- GeForce 8xxx, 9xxx, 2xx, 3xx (G80, G84, G86, G92, G94, G96, G98,
  G200, GT215, GT216, GT218, MCP77, MCP79, MCP89),
- GeForce 4xx, 5xx (GF100, GF104, GF106, GF108, GF110, GF114, GF116,
  GF117, GF119),
- GeForce 6xx, 7xx (GK104, GK106, GK107, GK110, GK208),
- GeForce GTX 750 (GM107, GM108),
- GeForce GTX 9xx (GM200, GM204, GM206),
- GeForce GTX 10xx (GP102, GP104, GP106, GP107, GP108).

%description -l pl.UTF-8
Sterownik obrazu X.org dla kart graficznych NVIDIA. Obsługuje karty
PCI, PCI-Express i AGP oparte na następujących układach:
- RIVA TNT (NV4),
- RIVA TNT2 (NV5),
- GeForce 256, QUADRO (NV10),
- GeForce2, QUADRO2 (NV11, NV15),
- GeForce3, QUADRO DCC (NV20),
- nForce, nForce2 (NV1A, NV1F),
- GeForce4, QUADRO4 (NV17, NV18, NV25, NV28),
- GeForce FX, QUADRO FX (NV30, NV31, NV34, NV35, NV36, NV37, NV38),
- GeForce 6xxx (NV40, NV41, NV43, NV44, NV45, C51, MCP61),
- GeForce 7xxx (G70, G71, G72, G73, NCP67, MCP68, MCP73),
- GeForce 8xxx, 9xxx, 2xx, 3xx (G80, G84, G86, G92, G94, G96, G98,
  G200, GT215, GT216, GT218, MCP77, MCP79, MCP89),
- GeForce 4xx, 5xx (GF100, GF104, GF106, GF108, GF110, GF114, GF116,
  GF117, GF119),
- GeForce 6xx, 7xx (GK104, GK106, GK107, GK110, GK208),
- GeForce GTX 750 (GM107, GM108),
- GeForce GTX 9xx (GM200, GM204, GM206),
- GeForce GTX 10xx (GP102, GP104, GP106, GP107, GP108).

%prep
%setup -q -n xf86-video-nouveau-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/drivers/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/nouveau_drv.so
%{_mandir}/man4/nouveau.4*
%changelog
* Sat Nov 09 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-nouveau.git;a=log;h=master

* Fri Nov 08 2024 Jakub Bogusz <qboosh@pld-linux.org> 728d37e
- updated to 1.0.18

* Wed Nov 03 2021 Jan Rękorajski <baggins@pld-linux.org> e234085
- adjust API for political correctness of xserver 21, rel 3

* Sun Oct 31 2021 Jan Rękorajski <baggins@pld-linux.org> 0f081c2
- rebuil with xorg-xserver-server 21.1.0

* Mon Jan 25 2021 Jakub Bogusz <qboosh@pld-linux.org> d91a670
- updated to 1.0.17

* Thu Jan 31 2019 Jakub Bogusz <qboosh@pld-linux.org> 18cbea3
- updated to 1.0.16

* Mon May 14 2018 Jan Rękorajski <baggins@pld-linux.org> 76284b2
- release 2 (by relup.sh)

* Fri Apr 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 332b309
- updated to 1.0.15

* Mon Mar 13 2017 Jakub Bogusz <qboosh@pld-linux.org> ddcd46c
- updated hardware list

* Mon Mar 13 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 9b845e8
- up to 1.0.14

* Tue Nov 15 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 2422b71
- xserver 1.19 rebuild
- release 2 (by relup.sh)

* Mon Sep 26 2016 Jakub Bogusz <qboosh@pld-linux.org> ddfcf13
- updated libdrm version

* Mon Sep 26 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 82e84de
- up yo 1.0.13

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 81eb684
- release 2 (by relup.sh)

* Sat Dec 12 2015 Jakub Bogusz <qboosh@pld-linux.org> d4a125b
- updated to 1.0.12
- removed obsolete dirtytracking-update patch

* Sat Dec 05 2015 Jakub Bogusz <qboosh@pld-linux.org> f33337f
- added dirtytracking-update patch from git (needed for xserver 1.18)
- disable glamor (already removed in git, incorrect implementation, not working with xserver 1.18)

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e58341
- due to xserver 1.17
- release 2 (by relup.sh)

* Thu Sep 04 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 63577fd
- up to 1.0.11

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d9041e0
- xserver rebuild
- release 4 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> b60e3f7
- xserver rebuild
- release 3 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> f2c28e0
- release 2 (by relup.sh)

